Subject: Re: next-20150806 build: 2 failures 52 warnings (next-20150806)

From: Mark Brown <[email-masked]>
Date: Thu, 6 Aug 2015 18:19:58 +0100

On Thu, Aug 06, 2015 at 12:00:47PM +0100, Build bot for Mark Brown wrote:

Today's linux-next fails to build an arm64 allmodconfig due to:

> 	arm64-allmodconfig
> ERROR: "qcom_scm_hdcp_req" [drivers/gpu/drm/msm/msm.ko] undefined!
> ERROR: "qcom_scm_hdcp_available" [drivers/gpu/drm/msm/msm.ko] undefined!

I'm not sure exactly where it crept in (I suspect it's an architecture
change) but I do note that there's no select for QCOM_SCM but it has no
config text.  The arch/arm code does select that symbol but only in SMP
cases.